org.eclipse.wst.jsdt.ui.actions

## Class ProjectActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.ProjectActionGroup

    public class ProjectActionGroup
    extends ActionGroup

Adds actions to open and close a project to the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`ProjectActionGroup(IViewPart part)` Creates a new `ProjectActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBars)`
`void` `fillContextMenu(IMenuManager menu)`
`OpenProjectAction` `getOpenProjectAction()` Returns the open project action contained in this project action group.
`protected void` `performSelectionChanged(IStructuredSelection structuredSelection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProjectActionGroup

    public ProjectActionGroup(IViewPart part)

Creates a new `ProjectActionGroup`. The group requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### Method Detail

#### performSelectionChanged

    protected void performSelectionChanged(IStructuredSelection structuredSelection)

#### fillActionBars

    public void fillActionBars(IActionBars actionBars)

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### getOpenProjectAction

    public OpenProjectAction getOpenProjectAction()

Returns the open project action contained in this project action group.

Returns:
  returns the open project action

#### dispose

    public void dispose()